Loading...
Searching...
No Matches
Catch::TestSpec::Pattern Class Referenceabstract
Inheritance diagram for Catch::TestSpec::Pattern:
[legend]

## Public Member Functions

| Pattern (std::string const &name)
virtual | ~Pattern ()
virtual bool | matches (TestCaseInfo const &testCase) const =0
std::string const & | name () const

## Private Member Functions

virtual void | serializeTo (std::ostream &out) const =0

## Private Attributes

std::string const | m_name

## Friends

std::ostream & | operator<< (std::ostream &out, Pattern const &pattern)

## Constructor & Destructor Documentation

## Pattern()

Catch::TestSpec::Pattern::Pattern | ( | std::string const & | name | ) |

explicit

Here is the call graph for this function:
Here is the caller graph for this function:

## ~Pattern()

Catch::TestSpec::Pattern::~Pattern | ( |  | ) |

virtualdefault

## Member Function Documentation

## matches()

virtual bool Catch::TestSpec::Pattern::matches | ( | TestCaseInfo const & | testCase | ) | const

pure virtual

Implemented in Catch::TestSpec::NamePattern, and Catch::TestSpec::TagPattern.

Here is the call graph for this function:

## name()

std::string const & Catch::TestSpec::Pattern::name | ( |  | ) | const

Here is the caller graph for this function:

## serializeTo()

virtual void Catch::TestSpec::Pattern::serializeTo | ( | std::ostream & | out | ) | const

privatepure virtual

Implemented in Catch::TestSpec::NamePattern, and Catch::TestSpec::TagPattern.

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | Pattern const & | pattern )

friend

## Member Data Documentation

## m_name

std::string const Catch::TestSpec::Pattern::m_name

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp